openSUSE Security Update : libebml / libmatroska (openSUSE-2016-37)

Medium Nessus Plugin ID 88127


The remote openSUSE host is missing a security update.


This update for libebml, libmatroska fixes the following security issues :

Vulnerabilities fixed in libebml :

- Cisco TALOS-CAN-0036: Invalid memory access when reading from a UTF-8 string resulted in a heap information leak (bsc#961031).

- Cisco TALOS-CAN-0037: Deeply nested elements with infinite size use-after-free and multiple free (bsc#961031).

- Invalid mempry access resulted in heap information leak

Vulnerabilities fixed in libmatroska :

- invalid memory access when reading specially crafted data lead to a heap information leak.


Update the affected libebml / libmatroska packages.

See Also

Plugin Details

Severity: Medium

ID: 88127

File Name: openSUSE-2016-37.nasl

Version: $Revision: 2.1 $

Type: local

Agent: unix

Published: 2016/01/25

Modified: 2016/01/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libebml-debugsource, p-cpe:/a:novell:opensuse:libebml-devel, p-cpe:/a:novell:opensuse:libebml4, p-cpe:/a:novell:opensuse:libebml4-32bit, p-cpe:/a:novell:opensuse:libebml4-debuginfo, p-cpe:/a:novell:opensuse:libebml4-debuginfo-32bit, p-cpe:/a:novell:opensuse:libmatroska-debugsource, p-cpe:/a:novell:opensuse:libmatroska-devel, p-cpe:/a:novell:opensuse:libmatroska6, p-cpe:/a:novell:opensuse:libmatroska6-32bit, p-cpe:/a:novell:opensuse:libmatroska6-debuginfo, p-cpe:/a:novell:opensuse:libmatroska6-debuginfo-32bit, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/01/14